{
    "function": "set_components",
    "components": {
      "custom_data": {
        "or_is_tool": true,
        "or_can_cause_bleeding": true,
        "or_offhand_dependent_interactable": true,
        "or_tool_material": "stone",
        "or_tool_type": "knife"
      },
    "enchantments": {
      "overly_realistic:or_internal_tool/or_internal_tool_sword": 1,
      "overly_realistic:or_internal_tool/or_internal_tool_general": 1
    },
    "consumable": {
      "animation": "block",
      "consume_seconds": 99999,
      "has_consume_particles": false,
      "sound": "intentionally_empty"
    },
    "enchantment_glint_override": false,
    "rarity": "common",
    "tooltip_display": {
      "hidden_components": [
        "enchantments"
      ]
    },
        "minecraft:attribute_modifiers": [
        {
        "type": "minecraft:attack_damage",
        "amount": 3.25,
        "id": "minecraft:base_attack_damage",
        "operation": "add_value",
        "slot": "mainhand"
      },
      {
        "type": "minecraft:attack_speed",
        "amount": -2.0,
        "id": "minecraft:base_attack_speed",
        "operation": "add_value",
        "slot": "mainhand"
      },
        {
          "type": "minecraft:entity_interaction_range",
          "amount": 0.1,
          "id": "overly_realistic:player_item_reach_buff",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "text": " 0.1 Entity Reach",
              "color": "dark_green"
            }
          }
        },
        {
          "type": "minecraft:block_interaction_range",
          "amount": 0.1,
          "id": "overly_realistic:player_item_reach_buff",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "text": " 0.1 Block Reach",
              "color": "dark_green"
            }
          }
        }
      ],
      "item_name": {
        "translate": "item.overlyrealistic.stone_sword",
        "fallback": "Stone Knife",
        "color": "white"
      },
      "item_model": "overlyrealistic:items/stone_sword"
    }
}